# MappableObject Interface Reference
[Logical expressions used in OSQL and Form, Classes implemented in PHP's extension.]

Inheritance diagram for MappableObject:
[legend]

List of all members.

## Public Member Functions

| toMapped (ProtoDAO $dao, JoinCapableQuery $query)

## Detailed Description

Definition at line 16 of file MappableObject.class.php.

## Member Function Documentation

MappableObject::toMapped | ( | ProtoDAO $ | dao,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  MappableObject

Implemented in BinaryExpression, EqualsLowerExpression, InExpression, LogicalBetween, PostfixUnaryExpression, PrefixUnaryExpression, ExtractPart, GroupBy, OrderBy, OrderChain, and SQLChain.

The documentation for this interface was generated from the following file:

- core/Logic/MappableObject.class.php